RDKit: RDKit::MolDraw2DCairo Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::MolDraw2DCairo Class Reference

`#include <MolDraw2DCairo.h>`

Inheritance diagram for RDKit::MolDraw2DCairo:

## Public Member Functions
| MolDraw2DCairo (int width, int height, cairo_t *cr)
| MolDraw2DCairo (int width, int height)
| ~MolDraw2DCairo ()
void | setFontSize (double new_size)
void | setColour (const DrawColour &col)
void | finishDrawing ()
void | drawLine (const Point2D &cds1, const Point2D &cds2)
void | drawChar (char c, const Point2D &cds)
void | drawPolygon (const std::vector< Point2D > &cds)
void | clearDrawing ()
void | getStringSize (const std::string &label, double &label_width, double &label_height) const
std::string | getDrawingText () const
void | writeDrawingText (const std::string &fName) const
Public Member Functions inherited from RDKit::MolDraw2D
| MolDraw2D (int width, int height)
virtual | ~MolDraw2D ()
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms=NULL, const std::map< int, DrawColour > *highlight_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::string &legend, const std::vector< int > *highlight_atoms=NULL, const std::map< int, DrawColour > *highlight_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::vector< int > *highlight_atoms, const std::vector< int > *highlight_bonds, const std::map< int, DrawColour > *highlight_atom_map=NULL, const std::map< int, DrawColour > *highlight_bond_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual void | drawMolecule (const ROMol &mol, const std::string &legend, const std::vector< int > *highlight_atoms, const std::vector< int > *highlight_bonds, const std::map< int, DrawColour > *highlight_atom_map=NULL, const std::map< int, DrawColour > *highlight_bond_map=NULL, const std::map< int, double > *highlight_radii=NULL, int confId=-1)
virtual Point2D | getDrawCoords (const Point2D &mol_cds) const
virtual Point2D | getDrawCoords (int at_num) const
virtual Point2D | getAtomCoords (const std::pair< int, int > &screen_cds) const
virtual Point2D | getAtomCoords (const std::pair< double, double > &screen_cds) const
virtual Point2D | getAtomCoords (int at_num) const
virtual int | width () const
virtual int | height () const
virtual double | scale () const
virtual void | calculateScale ()
virtual double | fontSize () const
virtual DrawColour | colour () const
virtual void | setDash (const DashPattern &patt)
virtual const DashPattern & | dash () const
virtual void | setLineWidth (int width)
virtual int | lineWidth () const
bool | setStringDrawMode (const std::string &instring, TextDrawType &draw_mode, int &i) const
virtual void | drawString (const std::string &str, const Point2D &cds)
virtual void | drawTriangle (const Point2D &cds1, const Point2D &cds2, const Point2D &cds3)
virtual void | drawEllipse (const Point2D &cds1, const Point2D &cds2)
virtual void | drawRect (const Point2D &cds1, const Point2D &cds2)
virtual void | drawAttachmentLine (const Point2D &cds1, const Point2D &cds2, const DrawColour &col, double len=1.0, unsigned int nSegments=8)
virtual void | tagAtoms (const ROMol &mol)
virtual bool | fillPolys () const
virtual void | setFillPolys (bool val)
MolDrawOptions & | drawOptions ()
const MolDrawOptions & | drawOptions () const
const std::vector< Point2D > & | atomCoords () const
const std::vector< std::pair< std::string, OrientType > > & | atomSyms () const

## Additional Inherited Members
Public Types inherited from RDKit::MolDraw2D
enum | OrientType { C = 0, N, E, S, W }
enum | TextDrawType { TextDrawNormal = 0, TextDrawSuperscript, TextDrawSubscript }

## Detailed Description

Definition at line 25 of file MolDraw2DCairo.h.

## Constructor & Destructor Documentation

RDKit::MolDraw2DCairo::MolDraw2DCairo | ( | int | width,
|  | int | height,
|  | cairo_t * | cr
| ) |  |
| inline

Definition at line 28 of file MolDraw2DCairo.h.

RDKit::MolDraw2DCairo::MolDraw2DCairo | ( | int | width,
|  | int | height
| ) |  |
| inline

Definition at line 33 of file MolDraw2DCairo.h.

RDKit::MolDraw2DCairo::~MolDraw2DCairo | ( |  | ) |
| inline

Definition at line 40 of file MolDraw2DCairo.h.

## Member Function Documentation

void RDKit::MolDraw2DCairo::clearDrawing | ( |  | ) |
| virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DCairo::drawChar | ( | char | c,
|  | const Point2D & | cds
| ) |  |
| virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DCairo::drawLine | ( | const Point2D & | cds1,
|  | const Point2D & | cds2
| ) |  |
| virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DCairo::drawPolygon | ( | const std::vector< Point2D > & | cds | ) |
| virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DCairo::finishDrawing | ( |  | ) |

std::string RDKit::MolDraw2DCairo::getDrawingText | ( |  | ) | const

void RDKit::MolDraw2DCairo::getStringSize | ( | const std::string & | label,
|  | double & | label_width,
|  | double & | label_height
| ) |  | const
| virtual

Implements RDKit::MolDraw2D.

void RDKit::MolDraw2DCairo::setColour | ( | const DrawColour & | col | ) |
| virtual

Reimplemented from RDKit::MolDraw2D.

void RDKit::MolDraw2DCairo::setFontSize | ( | double | new_size | ) |
| virtual

Reimplemented from RDKit::MolDraw2D.

void RDKit::MolDraw2DCairo::writeDrawingText | ( | const std::string & | fName | ) | const

The documentation for this class was generated from the following file:

- MolDraw2DCairo.h